QCA::Provider::Context Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::Provider::Context:
[legend]

## Public Member Functions

virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Protected Member Functions

| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Internal context class used for the plugin.

Examples
  aes-cmac.cpp.

## Constructor & Destructor Documentation

## Context() [1/2]

QCA::Provider::Context::Context | ( | Provider * | parent,
|  | const QString & | type )

protected

Standard constructor.

Parameters

  parent | the parent provider for this context
  type | the name of the provider context type

References type().

Referenced by clone(), Context(), QCA::DLGroupContext::DLGroupContext(), QCA::KeyStoreListContext::KeyStoreListContext(), QCA::MessageContext::MessageContext(), sameProvider(), QCA::SASLContext::SASLContext(), and QCA::TLSContext::TLSContext().

## Context() [2/2]

QCA::Provider::Context::Context | ( | const Context & | from | ) |

protected

Copy constructor.

Parameters

  from | the Context to copy from

References Context().

## Member Function Documentation

## provider()

Provider * QCA::Provider::Context::provider | ( |  | ) | const

The Provider associated with this Context.

## type()

QString QCA::Provider::Context::type | ( |  | ) | const

The type of context, as passed to the constructor.

Referenced by QCA::BasicContext::BasicContext(), QCA::CertBase::CertBase(), QCA::CipherContext::CipherContext(), Context(), QCA::HashContext::HashContext(), QCA::HKDFContext::HKDFContext(), QCA::KDFContext::KDFContext(), QCA::MACContext::MACContext(), QCA::SMSContext::SMSContext(), and QCA::TLSContext::TLSContext().

## clone()

virtual Context * QCA::Provider::Context::clone | ( |  | ) | const

pure virtual

Create a duplicate of this Context.

Examples
  aes-cmac.cpp.

References Context().

## sameProvider()

bool QCA::Provider::Context::sameProvider | ( | const Context * | c | ) | const

Test if two Contexts have the same Provider.

Parameters

  c | pointer to the Context to compare to

Returns
  true if the argument and this Context have the same provider.

References Context().

The documentation for this class was generated from the following file:

- qca_core.h